#
# spec file for package log4j (Version 1.2.12)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl ant attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat-32bit file filesystem fillup findutils flex fontconfig-32bit freetype2-32bit gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv jaf java-1_4_2-sun java-1_4_2-sun-devel javamail jms jmx jpackage-utils klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-alternatives update-desktop-files util-linux vim xerces-j2 xml-commons xml-commons-apis xml-commons-apis-javadoc xorg-x11-libs-32bit zlib zlib-32bit zlib-devel

Name:           log4j
BuildRequires:  ant jaf java-1_4_2-sun-devel javamail jms jmx update-alternatives update-desktop-files xml-commons-apis xml-commons-apis-javadoc
%define section	free
Version:        1.2.12
Release:        15.2
Summary:        Java logging tool
License:        Apache
URL:            http://logging.apache.org/log4j/
Source0:        http://www.apache.org/dist/logging/log4j/1.2.12/logging-log4j-1.2.12.tar.gz
# Converted from src/java/org/apache/log4j/lf5/viewer/images/lf5_small_icon.gif
Source1:        %{name}-logfactor5.png
Source2:        %{name}-logfactor5.sh
Source3:        %{name}-logfactor5.desktop
# Converted from docs/images/logo.jpg
Source4:        %{name}-chainsaw.png
Source5:        %{name}-chainsaw.sh
Source6:        %{name}-chainsaw.desktop
Source7:        %{name}.catalog
Patch0:         %{name}-logfactor5-userdir.patch
Patch1:         %{name}-javadoc-xlink.patch
Requires:       jpackage-utils >= 1.5
Requires:       xml-commons-apis
Requires:       jaxp_parser_impl
Group:          Development/Libraries/Java
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Log4j is a tool to help the programmer output log statements to a
variety of output targets.



%debug_package
%package        manual
Summary:        Java logging tool (Manual)
Group:          Development/Libraries/Java

%description    manual
Documentation for log4j.



%package        javadoc
PreReq:         coreutils
Summary:        Java logging tool (Documentation)
Group:          Development/Libraries/Java

%description    javadoc
Javadoc for log4j.



%prep
%setup -q -n logging-%{name}-%{version}
%patch0 -p1
%patch1 -p0
%{__perl} -pi -e 's/\r//g' LICENSE.txt
# remove all the stuff we'll build ourselves
find . \( -name "*.jar" -o -name "*.class" \) -exec %__rm -f {} \;

%__rm -rf docs/api

%build
export CLASSPATH=$(build-classpath jaf javamail/mailapi jms jmxri jmxtools)
# javac.source=1.1 doesn't work with Sun's 1.4.2_09/1.5.0_05

%ant -Djavac.source=1.2 -Djdk.javadoc=%{_javadocdir}/java jar javadoc

%install
# jars

%__mkdir_p %{buildroot}%{_javadir}

%__cp -a dist/lib/%{name}-%{version}.jar %{buildroot}%{_javadir}
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc

%__mkdir_p %{buildroot}%{_javadocdir}/%{name}-%{version}

%__cp -a docs/api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
(cd %{buildroot}%{_javadocdir} && %__ln_s %{name}-%{version} %{name})

%__rm -rf docs/api
ln -s %{_javadocdir}/log4j docs/api
# scripts

%__mkdir_p %{buildroot}%{_bindir}

%__install -p -m 755 %{SOURCE2} %{buildroot}%{_bindir}/logfactor5

%__install -p -m 755 %{SOURCE5} %{buildroot}%{_bindir}/chainsaw
# freedesktop.org menu entries and icons

%__mkdir_p %{buildroot}%{_datadir}/{applications,pixmaps}

%__cp -a %{SOURCE1} \
  %{buildroot}%{_datadir}/pixmaps/logfactor5.png

%__cp -a %{SOURCE3} \
  %{buildroot}%{_datadir}/applications/jpackage-logfactor5.desktop

%__cp -a %{SOURCE4} \
  %{buildroot}%{_datadir}/pixmaps/chainsaw.png

%__cp -a %{SOURCE6} \
  %{buildroot}%{_datadir}/applications/jpackage-chainsaw.desktop
# DTD and the SGML catalog (XML catalog handled in scriptlets)

%__mkdir_p %{buildroot}%{_datadir}/sgml/%{name}

%__cp -a src/java/org/apache/log4j/xml/log4j.dtd \
  %{buildroot}%{_datadir}/sgml/%{name}

%__cp -a %{SOURCE7} \
  %{buildroot}%{_datadir}/sgml/%{name}/catalog
# fix perl location

%__perl -p -i -e 's|/opt/perl5/bin/perl|%{__perl}|' \
contribs/KitchingSimon/udpserver.pl
%suse_update_desktop_file jpackage-chainsaw Development Debugger
%suse_update_desktop_file jpackage-logfactor5 Development Debugger

%clean
rm -rf $RPM_BUILD_ROOT

%post
# Note that we're using versioned catalog, so this is always ok.
if [ -x %{_bindir}/install-catalog -a -d %{_sysconfdir}/sgml ]; then
  %{_bindir}/install-catalog --add \
    %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat \
    %{_datadir}/sgml/%{name}/catalog > /dev/null || :
fi
if [ -x %{_bindir}/xmlcatalog -a -w %{_sysconfdir}/xml/catalog ]; then
  %{_bindir}/xmlcatalog --noout --add system log4j.dtd \
    file://%{_datadir}/sgml/%{name}/log4j.dtd %{_sysconfdir}/xml/catalog \
    > /dev/null || :
fi

%preun
if [ $1 -eq 0 ]; then
  if [ -x %{_bindir}/xmlcatalog -a -w %{_sysconfdir}/xml/catalog ]; then
    %{_bindir}/xmlcatalog --noout --del log4j.dtd \
      %{_sysconfdir}/xml/catalog > /dev/null || :
  fi
fi

%postun
# Note that we're using versioned catalog, so this is always ok.
if [ -x %{_bindir}/install-catalog -a -d %{_sysconfdir}/sgml ]; then
  %{_bindir}/install-catalog --remove \
    %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat \
    %{_datadir}/sgml/%{name}/catalog > /dev/null || :
fi

%post javadoc

%__rm -f %{_javadocdir}/%{name}

%__ln_s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  %__rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_bindir}/*
%{_javadir}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/sgml/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc docs/* contribs

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}

%changelog -n log4j
* Wed Feb 15 2006 - stbinner@suse.de
- add GenericName to .desktop files
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 08 2005 - jsmeix@suse.de
- Current version 1.2.12 from JPackage.org
* Thu Sep 29 2005 - dmueller@suse.de
- add norootforbuild
* Thu Nov 25 2004 - ro@suse.de
- added suse_update_desktop_file
* Thu Sep 23 2004 - mskibbe@suse.de
- change specfile(suse_update_desktop_file)
* Thu Sep 16 2004 - skh@suse.de
- Fix prerequires for javadoc subpackage.
* Thu Sep 02 2004 - skh@suse.de
- Initial package created with version 1.2.8 (JPackage 1.5)
